import com.tencent.mobileqq.dt.model.FEBound;
import io.ktor.server.application.Application;
import io.ktor.server.application.ApplicationPluginKt;
import io.ktor.server.application.Plugin;
import io.ktor.server.engine.ApplicationEngineFactory;
import io.ktor.server.engine.EmbeddedServerKt;
import io.ktor.server.netty.Netty;
import io.ktor.server.netty.NettyApplicationEngine;
import io.ktor.server.plugins.contentnegotiation.ContentNegotiationKt;
import io.ktor.server.plugins.statuspages.StatusPagesKt;
import io.ktor.server.routing.RoutingKt;
import io.ktor.util.pipeline.Pipeline;
import java.io.File;
import java.nio.charset.Charset;
import java.util.List;
import kotlin.Metadata;
import kotlin.io.FilesKt;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.SourceDebugExtension;
import kotlin.reflect.KFunction;
import kotlinx.serialization.DeserializationStrategy;
import kotlinx.serialization.json.Json;
import kotlinx.serialization.json.JsonKt;
import moe.fuqiuluo.comm.ArgsParser;
import moe.fuqiuluo.comm.ArgsParserKt;
import moe.fuqiuluo.comm.QSignConfig;
import moe.fuqiuluo.comm.QSignConfigKt;
import moe.fuqiuluo.comm.Server;
import org.jetbrains.annotations.NotNull;

@Metadata(
   mv = {1, 8, 0},
   k = 2,
   xi = 48,
   d1 = {"\u00004\n\u0000\n\u0002\u0010\u0011\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\u001a\u0019\u0010\u0012\u001a\u00020\u00042\f\u0010\u0013\u001a\b\u0012\u0004\u0012\u00020\u00140\u0001¢\u0006\u0002\u0010\u0015\u001a\n\u0010\u0016\u001a\u00020\u0004*\u00020\u0017\"\"\u0010\u0000\u001a\u0014\u0012\u0010\u0012\u000e\u0012\u0004\u0012\u00020\u0003\u0012\u0004\u0012\u00020\u00040\u00020\u0001X\u0082\u0004¢\u0006\u0004\n\u0002\u0010\u0005\"\u001a\u0010\u0006\u001a\u00020\u0007X\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b\b\u0010\t\"\u0004\b\n\u0010\u000b\"\u001a\u0010\f\u001a\u00020\rX\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b\u000e\u0010\u000f\"\u0004\b\u0010\u0010\u0011¨\u0006\u0018"},
   d2 = {"API_LIST", "", "Lkotlin/reflect/KFunction1;", "Lio/ktor/server/routing/Routing;", "", "[Lkotlin/reflect/KFunction;", "BASE_PATH", "Ljava/io/File;", "getBASE_PATH", "()Ljava/io/File;", "setBASE_PATH", "(Ljava/io/File;)V", "CONFIG", "Lmoe/fuqiuluo/comm/QSignConfig;", "getCONFIG", "()Lmoe/fuqiuluo/comm/QSignConfig;", "setCONFIG", "(Lmoe/fuqiuluo/comm/QSignConfig;)V", "main", "args", "", "([Ljava/lang/String;)V", "init", "Lio/ktor/server/application/Application;", "unidbg-fetch-qsign"}
)
@SourceDebugExtension({"SMAP\nMain.kt\nKotlin\n*S Kotlin\n*F\n+ 1 Main.kt\nMainKt\n+ 2 Json.kt\nkotlinx/serialization/json/Json\n+ 3 fake.kt\nkotlin/jvm/internal/FakeKt\n*L\n1#1,78:1\n96#2:79\n1#3:80\n*S KotlinDebug\n*F\n+ 1 Main.kt\nMainKt\n*L\n46#1:79\n*E\n"})
public final class MainKt {

   public static QSignConfig CONFIG;
   public static File BASE_PATH;
   @NotNull
   private static final KFunction[] API_LIST;


   @NotNull
   public static final QSignConfig getCONFIG() {
      if(CONFIG != null) {
         return CONFIG;
      } else {
         Intrinsics.throwUninitializedPropertyAccessException("CONFIG");
         return null;
      }
   }

   public static final void setCONFIG(@NotNull QSignConfig <set-?>) {
      Intrinsics.checkNotNullParameter(<set-?>, "<set-?>");
      CONFIG = <set-?>;
   }

   @NotNull
   public static final File getBASE_PATH() {
      if(BASE_PATH != null) {
         return BASE_PATH;
      } else {
         Intrinsics.throwUninitializedPropertyAccessException("BASE_PATH");
         return null;
      }
   }

   public static final void setBASE_PATH(@NotNull File <set-?>) {
      Intrinsics.checkNotNullParameter(<set-?>, "<set-?>");
      BASE_PATH = <set-?>;
   }

   public static final void main(@NotNull String[] args) {
      Intrinsics.checkNotNullParameter(args, "args");
      ArgsParser var1 = ArgsParserKt.invoke(args);
      boolean $i$a$-also-MainKt$main$2 = false;
      File json = new File(var1.get("basePath", "Lack of basePath."));
      boolean $this$main_u24lambda_u242_u24lambda_u241 = false;
      setBASE_PATH(json);
      File baseDir = json;
      if(json.exists() && json.isDirectory() && FilesKt.resolve(json, "libfekit.so").exists() && FilesKt.resolve(json, "config.json").exists() && FilesKt.resolve(json, "dtconfig.json").exists()) {
         Json json1 = JsonKt.Json$default((Json)null, (Function1)null.INSTANCE, 1, (Object)null);
         FEBound.initAssertConfig(baseDir);
         String $this$main_u24lambda_u242_u24lambda_u2411 = FilesKt.readText$default(FilesKt.resolve(baseDir, "config.json"), (Charset)null, 1, (Object)null);
         boolean $i$a$-apply-MainKt$main$1$1 = false;
         json1.getSerializersModule();
         Object this_$iv = json1.decodeFromString((DeserializationStrategy)QSignConfig.Companion.serializer(), $this$main_u24lambda_u242_u24lambda_u2411);
         QSignConfig $this$main_u24lambda_u242_u24lambda_u2412 = (QSignConfig)this_$iv;
         $i$a$-apply-MainKt$main$1$1 = false;
         QSignConfigKt.checkIllegal($this$main_u24lambda_u242_u24lambda_u2412);
         setCONFIG((QSignConfig)this_$iv);
         Server var9 = getCONFIG().getServer();
         $i$a$-also-MainKt$main$2 = false;
         Netty json2 = Netty.INSTANCE;
         String this_$iv1 = var9.getHost();
         int $this$main_u24lambda_u242_u24lambda_u2413 = var9.getPort();
         ((NettyApplicationEngine)EmbeddedServerKt.embeddedServer$default((ApplicationEngineFactory)json2, $this$main_u24lambda_u242_u24lambda_u2413, this_$iv1, (List)null, (Function1)null, (Function1)null.INSTANCE, 24, (Object)null)).start(true);
      } else {
         throw new IllegalStateException("The base path is invalid, perhaps it is not a directory or something is missing inside.".toString());
      }
   }

   public static final void init(@NotNull Application $this$init) {
      Intrinsics.checkNotNullParameter($this$init, "<this>");
      ApplicationPluginKt.install((Pipeline)$this$init, (Plugin)ContentNegotiationKt.getContentNegotiation(), (Function1)null.INSTANCE);
      ApplicationPluginKt.install((Pipeline)$this$init, (Plugin)StatusPagesKt.getStatusPages(), (Function1)null.INSTANCE);
      RoutingKt.routing($this$init, (Function1)null.INSTANCE);
   }

   static {
      KFunction[] var0 = new KFunction[]{null.INSTANCE, null.INSTANCE, null.INSTANCE, null.INSTANCE, null.INSTANCE, null.INSTANCE};
      API_LIST = var0;
   }
}
